> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crosoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Addresses

> List customer addresses.



## OpenAPI

````yaml /spec/oas.yaml get /customers/{customer_id}/addresses
openapi: 3.0.3
info:
  title: CRO Software API
  version: 2.x
  description: >-
    REST API for the CRO Software waste management and logistics platform.
    Authenticate via OAuth2 (client_credentials or authorization_code). All
    requests require a Bearer token and an X-Tenant-Id header.
servers:
  - url: https://api.crosoftware.com/v0
    description: Production
security: []
paths:
  /customers/{customer_id}/addresses:
    get:
      tags:
        - Customer Addresses
      summary: List Addresses
      description: List customer addresses.
      operationId: customer_addresses_list_addresses
      parameters:
        - name: customer_id
          in: path
          required: true
          schema:
            type: integer
            format: int64
            description: Customer identifier.
        - name: x-api-version
          in: header
          required: false
          schema:
            type: string
            description: Version identifier (date format).
        - name: x-tenant-id
          in: header
          required: true
          schema:
            type: integer
            format: int64
            description: >-
              Tenant identifier. Contact [CRO
              Software](https://crosoftwaresolutions.com/) for more info if you
              don't already have this id. See [list tenant
              ids](/docs/requests/tenants_list_tenants) for info on listing the
              tenants you have access to.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerAddressListModel'
      security:
        - oauth2:
            - api
components:
  schemas:
    CustomerAddressListModel:
      type: object
      description: Customer address list (paged).
      properties:
        current_limit:
          type: integer
          description: Maximun number of results per page.
        current_page:
          type: integer
          description: Paged results page index (starting from 1).
        results:
          $ref: '#/components/schemas/CustomerAddressModelArray'
        total_count:
          type: integer
          description: Paged results total viewable records.
        total_pages:
          type: integer
          description: Paged results total pages.
      required:
        - current_limit
        - current_page
        - results
        - total_count
        - total_pages
    CustomerAddressModelArray:
      type: array
      items:
        $ref: '#/components/schemas/CustomerAddressModel'
    CustomerAddressModel:
      type: object
      description: Customer address.
      properties:
        country:
          type: string
          description: >-
            Country code [(ISO 3166-1 alpha
            2)](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
        id:
          type: integer
          format: int64
          description: Customer address identifier.
        is_active:
          type: boolean
          description: Records marked inactive are treated as deleted (soft delete).
        is_billing:
          type: boolean
          description: If true, this is the customer's billing address.
        is_physical:
          type: boolean
          description: Physical address if true.
        is_shipping:
          type: boolean
          description: Customer's shipping address if true.
        latitude:
          type: string
          description: Latitude.
        line_1:
          type: string
          description: Street address.
        line_2:
          type: string
          description: Street address line 2.
        line_3:
          type: string
          description: Street address line 3.
        line_4:
          type: string
          description: Street address line 4 (doubles as county).
        locality:
          type: string
          description: Address locality (e.g. city).
        longitude:
          type: string
          description: longitude.
        postcode:
          type: string
          description: Postal code (may include letters and symbols).
        region:
          type: string
          description: Address region (e.g. state).
      required:
        - country
        - id
        - is_active
        - is_billing
        - is_physical
        - is_shipping
        - latitude
        - line_1
        - line_2
        - line_3
        - line_4
        - locality
        - longitude
        - postcode
        - region
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/token
          scopes:
            api: General API access
            webhook: Webhook management
        authorizationCode:
          authorizationUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/auth
          tokenUrl: REPLACE_WITH_AUTH_BASE_URL/oauth2/token
          scopes:
            api: General API access
            webhook: Webhook management

````